package cz.cuni.mff.d3s.benchmarks;

import java.util.Random;

import org.ejml.data.DMatrixRMaj;
import org.ejml.dense.row.CommonOps_DDRM;

public class MatrixMultiplication 
{
    private static final int SIZE = 256;

    public static void main(String[] args)
    {
        Random r = new Random();

        DMatrixRMaj m1 = new DMatrixRMaj(SIZE, SIZE);
        DMatrixRMaj m2 = new DMatrixRMaj(SIZE, SIZE);
        for (int i = 0; i < SIZE; ++i)
        for (int j = 0; j < SIZE; ++j)
        {
            m1.set(i, j, r.nextDouble());
            m2.set(i, j, r.nextDouble());
        }

        DMatrixRMaj res = new DMatrixRMaj(SIZE, SIZE);
        CommonOps_DDRM.mult(m1, m2, res);
        System.out.println(CommonOps_DDRM.elementSum(res));
    }
}
