#!/bin/bash

# Usage
usage()
{
    echo "Usage: $0 instrument_pattern example [args]"
}

if [ "$#" -lt 2 ]; then
    usage
    exit 1
fi

instr=$1
example=$2

shift 2

java -agentpath:../jvmti_bci_info/agent/bin/agent.dll=cz.cuni.mff.d3s.benchmarks.$example,$instr -jar $example/target/$example.jar $@

