#!/bin/bash

echo '"benchmark","type","startup","execution","events"'

for file in $@; do 
    benchmark_and_type=`echo $file | sed -E 's#.*/([^.]+)\.(.*)\.txt#"\1","\2"#'`
    awk 'BEGIN { benchmark_and_type=ARGV[1]; delete ARGV[1] } { startup=$2; getline; execution=$2; getline; events=$2; print(benchmark_and_type "," startup "," execution "," events) }' $benchmark_and_type $file
done
